Event After Application Update OnAppUpdate
If you are developing integrations for Bitrix24 using AI tools (Codex, Claude Code, Cursor), connect to the MCP server so that the assistant can utilize the official REST documentation.
Scope:
basicWho can subscribe: any user
The OnAppUpdate event is triggered after a new version of the application is installed in Bitrix24. This event transmits information about the current and previous versions of the application, as well as the updated application_token. For more details, refer to the article Security in Handlers.
What the Handler Receives
Data is transmitted in the form of a POST request
{
"event": "ONAPPUPDATE",
"data": {
"VERSION": "2.1.0",
"PREVIOUS_VERSION": "2.0.3",
"LANGUAGE_ID": "de"
},
"ts": "1696527000",
"auth": {
"domain": "some-domain.bitrix24.com",
"scope": "imbot",
"access_token": "lh8ze36o8ulgrljbyscr36c7ay5sinva",
"refresh_token": "5f1ih5tsnsb11sc5heg3kp4ywqnjhd09",
"expires_in": 3600,
"member_id": "d41d8cd98f00b204e9800998ecf8427e",
"application_token": "c917d38f6bdb84e9d9e0bfe9d585be73"
}
}
Request Parameters
Required parameters are marked with *
|
Name |
Description |
|
event* |
Symbolic code of the event. In this case — |
|
data* |
Data about the application update. The structure is described below |
|
ts* |
Date and time of the event sent from the queue |
|
auth* |
Object containing authorization parameters and information about the account where the event occurred. The structure is described below |
Parameter data
Required parameters are marked with *
|
Name |
Description |
|
LANGUAGE_ID* |
Installed language: |
|
VERSION* |
Current installed version of the application |
|
PREVIOUS_VERSION* |
Previous version before the update |
Parameter auth
Required parameters are marked with *
|
Name |
Description |
|
domain* |
Address of the Bitrix24 account |
|
scope* |
List of permissions granted to the application, separated by spaces |
|
access_token* |
OAuth 2.0 authorization token |
|
refresh_token* |
Token for extending OAuth 2.0 authorization |
|
server_endpoint* |
Address of the Bitrix24 authorization server, necessary for updating OAuth 2.0 tokens |
|
status* |
Status of the application that subscribed to this event:
|
|
client_endpoint* |
Common path for API method calls to the account |
|
member_id* |
Unique identifier of the account |
|
application_token* |
Token for secure event handling |
Continue Your Exploration
- Event Handler
- Register a new event handler event.bind
- Event After Successful Application Installation OnAppInstall
- Event on Application Payment onAppPayment
- Event on Receiving Permission for Using onAppMethodConfirm Methods
- Event onUserAdd
- Event on Application Uninstallation: onAppUninstall